> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/projects/prompts.md).

# Prompts

## List comments for a prompt answer.

> Returns a paginated list of comments attached to a prompt answer, suitable for rendering a discussion thread.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PaginationList.PromptAnswerCommentResponse":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptAnswerObjectIdentifier":{"type":"string","format":"uuid"},"comment":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/prompt-answers/{promptAnswerObjectIdentifier}/comments":{"get":{"tags":["Prompts"],"summary":"List comments for a prompt answer.","description":"Returns a paginated list of comments attached to a prompt answer, suitable for rendering a discussion thread.","parameters":[{"name":"promptAnswerObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","schema":{"type":"integer","format":"int32","default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":20}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PaginationList.PromptAnswerCommentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaginationList.PromptAnswerCommentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaginationList.PromptAnswerCommentResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Add a comment to a prompt answer.

> Creates a new comment against a prompt answer so collaborators can discuss the generated result. Returns the created comment.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Requests.CreatePromptAnswerCommentRequest":{"required":["comment"],"type":"object","properties":{"comment":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptAnswerObjectIdentifier":{"type":"string","format":"uuid"},"comment":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/prompt-answers/{promptAnswerObjectIdentifier}/comments":{"post":{"tags":["Prompts"],"summary":"Add a comment to a prompt answer.","description":"Creates a new comment against a prompt answer so collaborators can discuss the generated result. Returns the created comment.","parameters":[{"name":"promptAnswerObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Requests.CreatePromptAnswerCommentRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Requests.CreatePromptAnswerCommentRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Requests.CreatePromptAnswerCommentRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get a prompt answer comment.

> Returns the details of a single prompt answer comment identified by its GUID.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptAnswerObjectIdentifier":{"type":"string","format":"uuid"},"comment":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/prompt-answers/{promptAnswerObjectIdentifier}/comments/{objectIdentifier}":{"get":{"tags":["Prompts"],"summary":"Get a prompt answer comment.","description":"Returns the details of a single prompt answer comment identified by its GUID.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"promptAnswerObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Update a prompt answer comment.

> Edits the text of an existing prompt answer comment and returns the updated comment.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Requests.UpdatePromptAnswerCommentRequest":{"required":["comment"],"type":"object","properties":{"comment":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptAnswerObjectIdentifier":{"type":"string","format":"uuid"},"comment":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/prompt-answers/{promptAnswerObjectIdentifier}/comments/{objectIdentifier}":{"put":{"tags":["Prompts"],"summary":"Update a prompt answer comment.","description":"Edits the text of an existing prompt answer comment and returns the updated comment.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"promptAnswerObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Requests.UpdatePromptAnswerCommentRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Requests.UpdatePromptAnswerCommentRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Requests.UpdatePromptAnswerCommentRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.PromptAnswerComments.Contracts.Responses.PromptAnswerCommentResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Delete a prompt answer comment.

> Permanently deletes a prompt answer comment. The deletion cannot be undone.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/prompt-answers/{promptAnswerObjectIdentifier}/comments/{objectIdentifier}":{"delete":{"tags":["Prompts"],"summary":"Delete a prompt answer comment.","description":"Permanently deletes a prompt answer comment. The deletion cannot be undone.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"promptAnswerObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## List prompts.

> Returns prompts in a flow group, filterable by parent, search term, explicit identifiers or numeric id, with optional answer options.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.PromptSorting":{"enum":["dateAdded","subPrompt"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult":{"type":"object","properties":{"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"runStatus":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus"},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult"},"nullable":true},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":["primary","primaryLight","primaryDark","secondary","secondaryLight","secondaryDark","tertiary","tertiaryLight","tertiaryDark","accent1","accent2","accent3","accent4","accent5","accent6","accent7","accent8","accent9","accent10"],"type":"string"},"Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus":{"enum":["pending","inProgress","succeeded","failed"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/prompts":{"get":{"tags":["Prompts"],"summary":"List prompts.","description":"Returns prompts in a flow group, filterable by parent, search term, explicit identifiers or numeric id, with optional answer options.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"includeOptions","in":"query","schema":{"type":"boolean"}},{"name":"flatten","in":"query","schema":{"type":"boolean"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"offsetObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"take","in":"query","schema":{"type":"integer","format":"int32","default":100}},{"name":"searchTerm","in":"query","schema":{"type":"string"}},{"name":"sorting","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.PromptSorting"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"objectIdentifiers","in":"query","schema":{"type":"string"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Create a prompt.

> Adds a new prompt to a flow group, including its question, model and any answer-based conditions.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.Prompts.CreatePromptRequest":{"type":"object","properties":{"resourceOwner":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.CreatePromptConditionRequest"},"nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Projects.Models.Flows.Prompts.CreatePromptConditionRequest":{"type":"object","properties":{"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.CreatePromptConditionCategoryRequest"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Models.Flows.Prompts.CreatePromptConditionCategoryRequest":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult":{"type":"object","properties":{"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"runStatus":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus"},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult"},"nullable":true},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":["primary","primaryLight","primaryDark","secondary","secondaryLight","secondaryDark","tertiary","tertiaryLight","tertiaryDark","accent1","accent2","accent3","accent4","accent5","accent6","accent7","accent8","accent9","accent10"],"type":"string"},"Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus":{"enum":["pending","inProgress","succeeded","failed"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/prompts":{"post":{"tags":["Prompts"],"summary":"Create a prompt.","description":"Adds a new prompt to a flow group, including its question, model and any answer-based conditions.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.CreatePromptRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.CreatePromptRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.CreatePromptRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Duplicate a prompt.

> Creates a copy of a prompt in the same flow group as new entities.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult":{"type":"object","properties":{"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"runStatus":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus"},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult"},"nullable":true},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":["primary","primaryLight","primaryDark","secondary","secondaryLight","secondaryDark","tertiary","tertiaryLight","tertiaryDark","accent1","accent2","accent3","accent4","accent5","accent6","accent7","accent8","accent9","accent10"],"type":"string"},"Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus":{"enum":["pending","inProgress","succeeded","failed"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/prompts/{promptObjectIdentifier}/duplicate":{"post":{"tags":["Prompts"],"summary":"Duplicate a prompt.","description":"Creates a copy of a prompt in the same flow group as new entities.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"promptObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get a prompt.

> Returns a single prompt by its GUID, optionally including its answer options and rich question JSON.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult":{"type":"object","properties":{"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"runStatus":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus"},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult"},"nullable":true},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":["primary","primaryLight","primaryDark","secondary","secondaryLight","secondaryDark","tertiary","tertiaryLight","tertiaryDark","accent1","accent2","accent3","accent4","accent5","accent6","accent7","accent8","accent9","accent10"],"type":"string"},"Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus":{"enum":["pending","inProgress","succeeded","failed"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/prompts/{objectIdentifier}":{"get":{"tags":["Prompts"],"summary":"Get a prompt.","description":"Returns a single prompt by its GUID, optionally including its answer options and rich question JSON.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"includeOptions","in":"query","schema":{"type":"boolean"}},{"name":"includeQuestionJson","in":"query","schema":{"type":"boolean"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Update a prompt.

> Edits an existing prompt's question, model, data type and conditions.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.Prompts.UpdatePromptRequest":{"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.CreatePromptConditionRequest"},"nullable":true},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean","nullable":true},"includeDocuments":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Projects.Models.Flows.Prompts.CreatePromptConditionRequest":{"type":"object","properties":{"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.CreatePromptConditionCategoryRequest"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Models.Flows.Prompts.CreatePromptConditionCategoryRequest":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult":{"type":"object","properties":{"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"runStatus":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus"},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult"},"nullable":true},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":["primary","primaryLight","primaryDark","secondary","secondaryLight","secondaryDark","tertiary","tertiaryLight","tertiaryDark","accent1","accent2","accent3","accent4","accent5","accent6","accent7","accent8","accent9","accent10"],"type":"string"},"Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus":{"enum":["pending","inProgress","succeeded","failed"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/prompts/{objectIdentifier}":{"put":{"tags":["Prompts"],"summary":"Update a prompt.","description":"Edits an existing prompt's question, model, data type and conditions.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.UpdatePromptRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.UpdatePromptRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Prompts.UpdatePromptRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Delete a prompt.

> Permanently removes a prompt from a flow group, provided it is not referenced elsewhere and no run is active.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/prompts/{objectIdentifier}":{"delete":{"tags":["Prompts"],"summary":"Delete a prompt.","description":"Permanently removes a prompt from a flow group, provided it is not referenced elsewhere and no run is active.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Count prompts.

> Returns the total count of prompts in the flow group.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/prompts/count":{"get":{"tags":["Prompts"],"summary":"Count prompts.","description":"Returns the total count of prompts in the flow group.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"integer","format":"int32"}},"application/json":{"schema":{"type":"integer","format":"int32"}},"text/json":{"schema":{"type":"integer","format":"int32"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## List a prompt's ancestors.

> Returns the chain of parent prompts above a given prompt in its flow group.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptResult":{"type":"object","properties":{"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"runStatus":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus"},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult"},"nullable":true},"resourceOwnerId":{"type":"string","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember"}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptCategorySummary":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":["primary","primaryLight","primaryDark","secondary","secondaryLight","secondaryDark","tertiary","tertiaryLight","tertiaryDark","accent1","accent2","accent3","accent4","accent5","accent6","accent7","accent8","accent9","accent10"],"type":"string"},"Jylo.Toolkit.Projects.Enums.WorkItemBuildStatus":{"enum":["pending","inProgress","succeeded","failed"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionPredicateResult":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Core.Application.Contracts.Results.Prompts.PromptConditionCategoryResult":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.OrganizationMember":{"required":["id","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"picture":{"type":"string","nullable":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.IdentityService.Models.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Integrations.IdentityService.Models.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flow-groups/{flowGroupObjectIdentifier}/prompts/{objectIdentifier}/ancestors":{"get":{"tags":["Prompts"],"summary":"List a prompt's ancestors.","description":"Returns the chain of parent prompts above a given prompt in its flow group.","parameters":[{"name":"flowGroupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"search
[...]
